# PluginRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of the plugin. Plugin names must be unique within an account. | 
**description** | **str** | Description of this plugin. | [optional] 
**add_groups** | **list[str]** | An array of Security Group IDs to add to this plugin. | 
**del_groups** | **list[str]** | An array of security group IDs to remove from this plugin. | [optional] 
**default_group** | **str** | The default group of this plugin. This is the group where security objects will be created by default by this plugin. | 
**source** | [**PluginSource**](PluginSource.md) |  | 
**enabled** | **bool** | Whether this plugin is enabled. | [optional] 
**plugin_type** | [**PluginType**](PluginType.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


